Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515792 - Vino is untranslated on non-English system
Summary: Vino is untranslated on non-English system
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: vino
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-21 12:12 UTC by AsciiWolf
Modified: 2019-02-19 17:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
GNOME Shell Notification (deleted)
2018-10-08 12:02 UTC, AsciiWolf
no flags Details
Tray Icon Menu (deleted)
2018-10-08 12:03 UTC, AsciiWolf
no flags Details

Description AsciiWolf 2017-11-21 12:12:05 UTC
Description of problem:
The Vino applet and notification messages are untranslated on my non-English (Czech) Fedora 27 system. It looks like the translation is not applied for some reason.

Version-Release number of selected component (if applicable):
vino-3.22.0-4.fc27.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1. Use clean non-English Fedora Workstation system.
2. Enable X.Org session.
3. In the "Sharing" tab of GNOME Control Center, enable screen sharing.
3. Connect to the computer using VNC and see the screen sharing notification language.

Actual results:
All strings are in English language.

Expected results:
All strings are in the system language.

Comment 1 AsciiWolf 2018-02-02 12:12:25 UTC
Any news regarding this issue?

Comment 2 AsciiWolf 2018-10-05 15:02:38 UTC
Any news?

Comment 3 Ondrej Holy 2018-10-08 11:47:51 UTC
Can you please be more concrete, what strings are untranslated?

Comment 4 AsciiWolf 2018-10-08 12:02:11 UTC
Created attachment 1491640 [details]
GNOME Shell Notification

Comment 5 AsciiWolf 2018-10-08 12:03:12 UTC
Created attachment 1491641 [details]
Tray Icon Menu

Comment 6 AsciiWolf 2018-10-08 12:04:10 UTC
Sure, please see the attached screenshots.

Comment 7 Ondrej Holy 2018-10-09 08:24:29 UTC
Thanks. I can reproduce on F28, but everything looks ok:

$ xargs -n 1 -0 < /proc/$(pidof vino-server)/environ | grep LANG
GDM_LANG=cs_CZ.UTF-8
LANG=cs_CZ.UTF-8

$ msgunfmt /usr/share/locale/cs/LC_MESSAGES/vino.mo -o vino.po
$ grep -A1 "Another user is controlling your desktop" vino.po
msgid "Another user is controlling your desktop"
msgstr "Jiný uživatel vzdáleně ovládá vaši pracovní plochu"

Can you please file the issue upstream using the following link?
https://gitlab.gnome.org/GNOME/vino/issues

It is a bigger chance that somebody will fix that upstream...

Comment 8 AsciiWolf 2018-10-09 10:18:09 UTC
https://gitlab.gnome.org/GNOME/vino/issues/1

Done.

Comment 9 Ondrej Holy 2018-10-09 10:23:40 UTC
Thanks!

Comment 10 Ben Cotton 2019-02-19 17:11:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.


Note You need to log in before you can comment on or make changes to this bug.